Bug 211423 - invalid partition table: x86_64 boot failure on mainboard SATA raid
invalid partition table: x86_64 boot failure on mainboard SATA raid
Product: Fedora
Classification: Fedora
Component: mkinitrd (Show other bugs)
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Peter Jones
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2006-10-18 20:08 EDT by Kai Engert (:kaie)
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-02-05 15:59:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Kai Engert (:kaie) 2006-10-18 20:08:14 EDT
Description of problem:
Kernel stops during boot with a panic.
I get error message: Invalid partition table on /dev/mapper/sil_afbhabcfchdip1

Version-Release number of selected component (if applicable):
(2.6.17-1.2187_FC5 works fine)

How reproducible:

Additional info:
I had used my mainboard's BIOS to create a hardward RAID 0 over two Serial ATA
160 GB disk drives. When I installed FC4 on that machine, I installed it to that
logical drive.
When I updated to FC5 6 months ago, I had to change my /etc/fstab entries to use
that cryptic /dev/mapper/sil_afbhabcfchdip1 name to make the system boot.
Comment 1 Dave Jones 2006-10-19 17:12:52 EDT
Peter, mkinitrd bug? or device-mapper?
Comment 2 Kai Engert (:kaie) 2006-11-21 01:27:29 EST
Still broken with kernel-2.6.18-1.2239.fc5
Comment 3 Kai Engert (:kaie) 2006-11-22 15:39:19 EST
I plan to shorty upgrade this machine to FC6. Hopefully that'll work.

Please let me know if you want me to do anything to help you diagnose this
issue, before I upgrade.
Comment 4 Kai Engert (:kaie) 2007-01-03 13:52:55 EST
Still broken with latest fc5 kernel update 2257

FWIW, the error message also says "invalid signature 0".

Do you plan to work on this bug soon and need my help in testing?
Or should I go ahead and try to upgrade to FC6?
Maybe the upgrade won't work anyway, if the bug is still present in FC6...
Comment 5 Kai Engert (:kaie) 2007-02-02 14:08:24 EST
I would like to upgrade the machine to FC 6 this weekend, sorry, I'm not able to
postpone it more.
Comment 6 Kai Engert (:kaie) 2007-02-05 15:59:24 EST
I tried to do a DVD-based update on that machine using the Unity Respin FC 6 iso
from 20070111.

The update failed. It complained about an invalid partition table on that disk.

Well, at least the FC6 kernel still used the same hardware device in

I wrote 200 megs of zeros to the device and did a fresh install, to trigger the
installer to init the partition table. But after install, GRUB did not load.

I finally decided to remove the hardware RAID configuration. I unplugged the
SATA disks from the RAID-onboard-plugs, and plugged them to the standard SATA
plugs, and configured a software RAID.

As I am no longer able to provide information and what is causing this strange
behaviour on my machine, I'm closing this bug.

Note You need to log in before you can comment on or make changes to this bug.